package cz.cvut.k36.pr2.hw.hw06;

public interface Predicate<T> {

    /**
     * Represents the predicate function. Returns {@code true} iff the element satisfies this
     * predicate, otherwise {@code false}
     * @param t element to be tested
     * @return result of the predicate function
     */
    public boolean apply(T t);

}
